# Class XmlUtil

java.lang.Object
javajs.util.XmlUtil

public class XmlUtil extends Object
A very simplistic XML generator

## Constructor Summary

Constructors
Constructor
Description
`XmlUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`appendAttrib(SB sb, Object name, Object value)`
`static void`
`appendCdata(SB sb, String name, Object[] attributes, String data)`
<name></name>" will convert ]]> to ]] >
`static void`
`appendTag(SB sb, String name, Object data)`
standard <name>data</name>" standard "
`static void`
`appendTagAll(SB sb, String name, Object[] attributes, Object data, boolean isCdata, boolean doClose)`
`static void`
`appendTagObj(SB sb, String name, Object[] attributes, Object data)`
standard data"
`static void`
`closeTag(SB sb, String name)`
`static void`
`openDocument(SB data)`
`static void`
`openTag(SB sb, String name)`
`static void`
`openTagAttr(SB sb, String name, Object[] attributes)`
`static String`
`wrapCdata(Object data)`
wrap the string as character data, with replacements for [ noted as a list starting with * after the CDATA termination

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlUtil

public XmlUtil()

## Method Details

### openDocument

public static void openDocument(SB data)

### openTag

public static void openTag(SB sb, String name)

### openTagAttr

public static void openTagAttr(SB sb, String name, Object[] attributes)

### closeTag

public static void closeTag(SB sb, String name)

### appendTagAll

public static void appendTagAll(SB sb, String name, Object[] attributes, Object data, boolean isCdata, boolean doClose)

### wrapCdata

public static String wrapCdata(Object data)
wrap the string as character data, with replacements for [ noted as a list starting with * after the CDATA termination

Parameters:
  `data` -
Returns:
  wrapped text

### appendTagObj

public static void appendTagObj(SB sb, String name, Object[] attributes, Object data)
standard data"

Parameters:
  `sb` -
  `name` -
  `attributes` -
  `data` -

### appendTag

public static void appendTag(SB sb, String name, Object data)
standard <name>data" standard "

Parameters:
  `sb` -
  `name` -
  `data` -

### appendCdata

public static void appendCdata(SB sb, String name, Object[] attributes, String data)
<name>" will convert ]]> to ]] >

Parameters:
  `sb` -
  `name` -
  `attributes` -
  `data` -

### appendAttrib

public static void appendAttrib(SB sb, Object name, Object value)

Parameters:
  `sb` -
  `name` -
  `value` -